﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Portal.Models.Delivery.ServiceAcceptance;
@model Toyota.Common.Web.MVC.ModelHolder

<table border="0" cellpadding="2" cellspacing="2">
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Route - Rate";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td colspan="4">
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "ROUTE_RATE";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                    edtSettings.Text = "";
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                    //edtSettings.Properties.ValidationSettings.ErrorDisplayMode = ErrorDisplayMode.Text;
                    //edtSettings.Properties.ValidationSettings.ErrorTextPosition = ErrorTextPosition.Bottom;
                    //edtSettings.Properties.ValidationSettings.RegularExpression.ValidationExpression = "^[a-zA-Z0-9]$";

                    //edtSettings.Properties.ValidationSettings.ErrorFrameStyle.Font.Size = FontSize.Smaller;
                }).GetHtml()
            @*Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "RouteOption";
                    gridLookup.GridProperties.KeyFieldName = "ROUTE_RATE";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "KanbanReceiving", Action = "RouteLookup" };
                    gridLookup.GridProperties.Width = Unit.Pixel(30);
                    
                    //gridLookup.GridProperties.CommandColumn.Width = Unit.Pixel(20);
                    gridLookup.Width = 85;
                    gridLookup.GridProperties.ClientSideEvents.BeginCallback = "OnBeginLookupCallbackGrid";
                    gridLookup.GridProperties.CommandColumn.Visible = false;
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.CommandColumn.ShowSelectCheckbox = false;
                    gridLookup.GridProperties.CommandColumn.Visible = false;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "ROUTE_RATE";
                        column.FieldName = "ROUTE_RATE";
                        column.Caption = "Route";
                        column.Width = Unit.Pixel(150);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["RouteLookup"]).GetHtml()*@
        </td>
    </tr>

    <tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Rcv Plant - Dock Code";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td colspan="4">
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "PLANT_DOCK";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                    edtSettings.Text = "";
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                    //edtSettings.Properties.ValidationSettings.ErrorDisplayMode = ErrorDisplayMode.Text;
                    //edtSettings.Properties.ValidationSettings.ErrorTextPosition = ErrorTextPosition.Bottom;
                    //edtSettings.Properties.ValidationSettings.RegularExpression.ValidationExpression = "^[a-zA-Z0-9]$";

                    //edtSettings.Properties.ValidationSettings.ErrorFrameStyle.Font.Size = FontSize.Smaller;
                }).GetHtml()
          </td>
    </tr>

</table>
